import { DocumentSectionInterface, NavigationSectionInterface, PluginInterface, Schema } from '../lib/interface';
import { Plugin } from '../lib/utility';
export default class NavigationDirectives extends Plugin implements PluginInterface {
    plugins: PluginInterface[];
    constructor(document: Schema, graphidocsPackage: any, projectPackage: any);
    getNavigations(buildForType?: string): Promise<NavigationSectionInterface[]>;
    getDocuments(buildForType?: string): Promise<DocumentSectionInterface[]>;
    getHeaders(buildForType?: string): Promise<string[]>;
    getAssets(): Promise<string[]>;
}
